List of Language AI profiles
curl --request GET \
--url https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v2/memsourceTranslateProfiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2026-08-19T12:52:01Z",
"engines": [
{
"enabled": true,
"name": "Phrase Language AI (Google Translate)",
"terminologySource": "GLOSSARY",
"type": "GOOGLE_V3_TRANSLATE",
"uid": "B85nrNc1rGdxIsjJv3zH3o"
}
],
"glossaries": [
{
"name": "<string>",
"uid": "<string>"
}
],
"locked": false,
"name": "My Profile",
"type": "PLAI",
"uid": "W60tuzUhcOPX3ilwoNOdB6"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Language AI
List of Language AI profiles
Returns a paginated list of Language AI (MT) profiles for the authenticated organization. The response item shape is identical to GET/POST/PUT of a single profile.
GET
/
api2
/
v2
/
memsourceTranslateProfiles
List of Language AI profiles
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by profile name
Field to sort results by
Available options:
name, dateCreated, createdBy Sort direction
Available options:
asc, desc Page number, starting with 0
Required range:
x >= 0Page size; accepts values between 1 and 50
Required range:
1 <= x <= 50Profile kind to filter by
Available options:
PLAI, QUOKKA Was this page helpful?